function makeTable(elem, h, w) {

	$(elem).append("<table>");
	$("table").append("<tbody>");

	for(var i = 1; i <= h; i++) {
		
		$("tbody").append("<tr>");
	}

	for(var j = 1; j <= w; j++) {

		$("tr").append("<td>");
	}
}


$(document).ready(function() {

	var savedTable = [];

	makeTable("div#table", 15, 15);

	$("td").css({
		"width": "20px",
		"height": "20px",
		"border": "1px solid #555",
		"background": "white"
	});

	$("table").css({         
		"border-spacing": "0px"
	});

	$("button").css("margin", "20px");

	$("td").click( function() {
		if (this.style.backgroundColor == "white") {
			$(this).css("background", "black");
		} else {
			$(this).css("background", "white");
		}

		for(var i = 1; i <= 15; i++) {

			savedTable[i] = [];

			for(var j = 1; j <= 15; j++) {

				savedTable[i][j] = document.querySelector("tr:nth-child("+i+") td:nth-child("+j+")").style.background;
			}
		}
	});

	$("#btn-clear").click( function() {
		$("td").css("background", "white");
	});

	$("#btn-restore").click( function() {

		for(var i = 1; i <= 15; i++) {

			for(var j = 1; j <= 15; j++) {

				document.querySelector("tr:nth-child("+i+") td:nth-child("+j+")").style.background = savedTable[i][j];
			}
		}
	});
});




